use std::error::Error;
use std::fmt;

#[derive(Debug)]
pub enum ParserError {
	Empty,
	Unknown,
	Default,
}

impl fmt::Display for ParserError {
	fn fmt(&self, f: &mut fmt::Formatter<'_>) -> fmt::Result {
		match self {
			Self::Empty => fmt::Display::fmt("No command provided", f),
			Self::Unknown => fmt::Display::fmt("Unknown command", f),
			Self::Default => fmt::Display::fmt("Internal error", f),
		}
	}
}

impl Error for ParserError {}
